> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Notifications Unread

> Marks notifications as unread.

`Unary` · [`Notifications`](/docs/api-reference/generated/notification/overview)

Marks notifications as unread.

### Examples

* Mark a single notification as unread:

  ```yaml theme={null}
  notificationIds:
    - "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

* Mark multiple notifications as unread:

  ```yaml theme={null}
  notificationIds:
    - "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    - "a1b2c3d4-5e6f-7890-abcd-ef1234567890"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.NotificationService/MarkNotificationsUnread
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.NotificationService/MarkNotificationsUnread" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "notificationIds": [
      "<notification-ids>"
    ]
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.notification_pb2 as notification_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = notification_pb2.MarkNotificationsUnreadRequest(
      notification_ids=["<notification-ids>"],
  )
  response = ona.services.notification.mark_notifications_unread(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { MarkNotificationsUnreadRequestSchema } from "@gitpod/sdk/gitpod/v1/notification_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(MarkNotificationsUnreadRequestSchema, {
      notificationIds: ["<notification-ids>"],
    });
    const response = await ona.services.notification.markNotificationsUnread(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.MarkNotificationsUnreadRequest{
  		NotificationIds: []string{"<notification-ids>"},
  	})
  	response, err := ona.Services.Notification.MarkNotificationsUnread(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "notificationIds": [
      "<notification-ids>"
    ]
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.MarkNotificationsUnreadRequest`

| Field             | Type            | Required | Description                                                                                  |
| ----------------- | --------------- | -------- | -------------------------------------------------------------------------------------------- |
| `notificationIds` | array of string | No       | Constraints: `repeated.items.string.uuid=true, repeated.max_items=25, repeated.min_items=1`. |

## Response

`gitpod.v1.MarkNotificationsUnreadResponse`

This message has no fields.
